esmtp (1.2-16) unstable; urgency=medium

  * Update Vcs-* fields for switch to salsa.debian.org
  * Update copyright years for debian/* packaging
  * Bump Debhelper compat level to 11
  * Declare compliance with Debian policy 4.1.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 19 Mar 2018 10:18:29 +0100

esmtp (1.2-15) unstable; urgency=medium

  * Retrospectively cleanup trailing whitespaces in debian/changelog.
    Addresses lintian 'file-contains-trailing-whitespace' warning.
  * debian/control: Set Priority to optional
  * Update copyright years for debian/* packaging files
  * Set Rules-Requires-Root to no
  * Declare compliance with Debian policy 4.1.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 Nov 2017 16:02:22 +0100

esmtp (1.2-14) unstable; urgency=medium

  * debian/copyright: Use HTTPS transport protocol for Format URL
  * Use HTTPS transport protocol for Bug-Debian URL in patches
  * Declare compliance with Debian policy 3.9.8
  * Bump Debhelper compat level to 10.
    Adjust versioned Build-Depends on debhelper to (>= 10).
    Drop use of --with autoreconf in debian/rules, since with Debhelper
    compat level 10 the autoreconf sequence is enabled by default.
  * Drop Build-Depends on dh-autoreconf
  * debian/rules: Build enabling all hardening flags

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 08 Oct 2016 20:12:46 +0200

esmtp (1.2-13) unstable; urgency=medium

  * Update Vcs-Browser URL to cgit web frontend
  * Use HTTPS transport protocol for Vcs-Git URI
  * Add separate GPL-2 with OpenSSL exception license stanza
  * Declare compliance with Debian policy 3.9.7
  * Add Brazilian Portuguese debconf templates translation.
    Thanks to Adriano Rafael Gomes <adrianorg@arg.eti.br> (Closes: #816949)
  * Fix spelling error in debian/copyright: exeption -> exception.
    The spelling error is in the quote from the original mail to the
    upstream author, so it is borderline to be fixed to silence lintian.
  * Fix spelling error in NEWS.Debian
  * Update copyright years for debian/* packaging files
  * Drop unnecessary lintian-overrides

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Mar 2016 18:59:59 +0100

esmtp (1.2-12) unstable; urgency=medium

  * Add Vcs-Browser and Vcs-Git fields in debian/control

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Jun 2014 17:01:53 +0200

esmtp (1.2-11) unstable; urgency=medium

  * Run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4.
    Add Build-Depends on dh-autoreconf and use the autoreconf debhelper
    addon.
  * Update fix_esmtp_linking.patch patch.
    Adjust settings in configure.ac as we now use autoreconf to update
    generated configuration files.
  * Wrap and sort fields in debian/control file
  * Declare compliance with Debian Policy 3.9.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Jun 2014 16:49:22 +0200

esmtp (1.2-10) unstable; urgency=low

  * Fix charset to UTF-8 for french translation
    debian/po/fr.po uses UTF-8, but was declared as using ISO-8859-1. That
    causes the debconf screen to be broken in French.
    Thanks to David Prévot <taffit@debian.org> (Closes: #691926)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 31 Oct 2012 15:38:47 +0100

esmtp (1.2-9) unstable; urgency=low

  * Update debian/copyright file.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Add the 'OpenSSL exception' as clarified with upstream author.
  * Bump Standards-Version to 3.9.3
  * Add linian-override for missing-license-paragraph-in-dep5-copyright

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 19 Apr 2012 12:53:16 +0200

esmtp (1.2-8) unstable; urgency=low

  * Update Dutch translation.
    Thanks to Jeroen Schot <schot@A-Eskwadraat.nl> for the update
    (Closes: #658831)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 06 Feb 2012 12:13:01 +0100

esmtp (1.2-7) unstable; urgency=low

  * Bump Debhelper compat level to 9.
    Adjust Build-Depends on debhelper to (>= 9).
  * Update debian/copyright file.
    Update copyright years for debian/* packaging.
    Update format to revision 174 for DEP5 proposal for machine-readable
    copyright file information.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 19 Jan 2012 22:34:14 +0100

esmtp (1.2-6) unstable; urgency=low

  * Update my email address
  * debian/control: Drop the DM-Upload-Allowed control field.
  * debian/control: Update copyright years for debian/* packaging stanza.
  * Bump Standards-Version to 3.9.2.
  * debian/patches: Add segfault-norecp-in-headers.patch. Don't segfault
    if recipient header is empty (Closes: #636346).

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 03 Aug 2011 07:42:25 +0200

esmtp (1.2-5) unstable; urgency=low

  * Debconf translation: Add Danish translation by Joe Dalton
    (Closes: #596613).
  * Bump Standards-Version to 3.9.1.
  * debian/copyright: Refer to Debian systems instead of Debian
    GNU/Linux systems.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 13 Sep 2010 07:49:52 +0200

esmtp (1.2-4) unstable; urgency=low

  * Move esmtp-run to Suggests, as it may be legitimate to only install esmtp
    for relaying and have another regular full featured MTA working on the
    same system. The alternate choise for procmail and maildrop in Suggests is
    only relevant when doing local mail delivery as esmtp relies on a MDA for
    local delivery. (Closes: #579662).
  * Update copyright years for debian/* packaging.
  * Add explicitly po-debconf to Build-Depends.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 03 May 2010 10:51:06 +0200

esmtp (1.2-3) unstable; urgency=low

  * Debconf translation: Updated Vietnamese translation by Clytie Siddall
    (Closes: #569307).
  * Bump Standards-Version to 3.8.4 (no changes).
  * Add a security warning in generated configuration file regarding not
    setting the username and password in systemwide configuration file and
    refering for details to esmtprc(5) (Closes: #568925).
  * Add a trailing newline to the NEWS.Debian file to work around a
    apt-listchanges bugs when displaying multiple entries from different
    packages. Fixes debian-news-entry-without-blank-line lintian warning.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 12 Feb 2010 23:23:00 +0100

esmtp (1.2-2) unstable; urgency=low

  * New maintainer (Closes: #561302).
  * Add DM-Upload-Allowed: yes field.
  * Debconf translation:
    - Updated Swedish translation by Martin Bagge (Closes: #562885).
    - Updated Czeck translation by Martin Šín (Closes: #562909).
    - Updated French translation by Christian Perrier (Closes: #562914).
    - Updated Japanese translation by Hideki Yamane (Closes: #562950).
    - Updated Russian translation by Yuri Kozlov (Closes: #563349).
    - Updated Portuguese translation by Miguel Figueiredo (Closes: #563377).
    - Updated German translation by Erik Schanze (Closes: #563582).
    - Updated Spanish translation by Francisco Javier Cuadrado
      (Closes: #564026).
    - Added Italian translation by Vincenzo Campanella (Closes: #564191).
  * Drop possibility of configuring deliver via debconf question as deliver is
    not anymore in Debian since lenny. Add NEWS.
  * Install esmtp-wrapper into /usr/share/doc/esmtp/examples/.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 09 Jan 2010 08:56:12 +0100

esmtp (1.2-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * New upstream release (Closes: #558390).
  * debian/control:
    - Bump Build-Depends for debhelper (>= 7.0.50).
    - Add Homepage field.
    - Add ${misc:Depends} to Depends field for the esmtp-run binary package
      stanza.
    - Slightly improve synopsis for esmtp and esmtp-run binary packages to
      distinguish esmtp and esmtp-run.
  * Bump compat level for debhelper to 7.
  * Install NEWS file as upstream changelog file. Use override target in
    debian/rules.
  * Add russian translation for debconf template. Thanks to Yuri Kozlov for
    submitting the translation. (Closes: #543186).
  * Convert to '3.0 (quilt)' source package format.
  * Add patch to fix typo in esmtprc(5) manpage reported by Jakub Wilk.
    (Closes: #528343).
  * debian/rules:
    - simplify rules makefile to a tiny rules file.
    - Add override for dh_auto_clean running debconf-updatepo before
      dh_auto_clean.
    - Add override target for dh_installchangelogs.
  * debian/esmtp.post{inst,rm}: Set the set -e flag to ensure that the script's
    execution is aborted when any executed command fails.
  * Refresh debian/copyright to the revision 135 of DEP5 proposal for machine
    readable format-specification of copyright file.
  * debian/esmtp.config: Set explicitly set -e instead of passing -e to the
    shell in the shebang.
  * Add fix_hyphen-used-as-minus-sign.patch to fix lintian warnings about
    missused hyphens in manpages esmtp(1) and esmtprc(5).
  * Add fix_esmtp_linking.patch patch to only link against lesmtp.
  * Refresh debian/templates to fix malformed-prompt-in-templates lintian
    warnings.
  * Switch from "_Choices" to "__Choices" in debian/templates spliting choises
    list.
  * Bump Standards-Version to 3.8.3.
  * Add debian/watch file to monitor new upstream versions released.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 27 Dec 2009 16:25:34 +0100

esmtp (0.6.0-1) unstable; urgency=low

  * Acknowledge NMU.
  * New upstream version (closes: #394847, #407101).
  * Do not write the SMTP server name to /etc/mailname (closes: #432633).

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Mon, 03 Sep 2007 15:50:13 +0100

esmtp (0.5.1-4.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Spanish. Closes: #402311
    - Japanese. Closes: #400144
    - Portuguese. Closes: #409214

 -- Christian Perrier <bubulle@debian.org>  Mon, 19 Feb 2007 09:10:54 +0100

esmtp (0.5.1-4) unstable; urgency=low

  * Update swedish debconf translation, by Daniel Nylander (closes: #340408).
  * Update french debconf translation, by the debian-l10n-french team
    (closes: #340945).
  * Update czech debconf translation, by Martin Šín (closes: #345136).
  * Update german debconf translation, by Erik Schanze (closes: #345856).
  * Update dutch debconf translation, by the debian-l10n-dutch team
    (closes: #375185).
  * Update to follow the last version of Debian Policy (3.7.2).

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Thu, 24 Aug 2006 15:31:34 +0100

esmtp (0.5.1-3) unstable; urgency=low

  * Update czech debconf translation, from Martin Šín (closes: #319939).
  * Fix some man page typos, per Reuben Thomas (closes: #320675).
  * Update vietnamese debconf translation, from Clytie Siddall (closes: #323946).
  * Add swedish debconf translation, from Daniel Nylander (closes: #332385).
  * Fix a type on the english debconf template, per Clytie Siddall (closes: #323947).
  * Don't directly link libssl.
  * Update FSF address.
  * Avoid non-ASCII characters in manpages.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Sat, 19 Nov 2005 17:20:55 +0000

esmtp (0.5.1-2) unstable; urgency=low

  * Fix some typos in english debconf template, per Clytie Siddall (closes: #311631).
  * Search global esmtprc in /etc, per Johannes Ranke (closes: #316515).
  * Update french debconf template, from Eric & debian-l10n-french (closes: #316774)

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Sun, 03 Jul 2005 21:31:16 +0100

esmtp (0.5.1-1) unstable; urgency=low

  * New upstream version (closes: #294411, #295931).
  * Add vietnamese debconf translation, from Clytie Siddall (closes: #311630).
  * Add czech debconf translation, from Martin Šín (closes: #311700).
  * Update to Policy version 3.6.2.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Wed, 29 Jun 2005 10:46:16 +0100

esmtp (0.5.0-4) unstable; urgency=low

  * Add dutch debconf translation, from Luk Claes (closes: #251247).
  * Add german debconf translation, from Erik Schanze (closes: #252501).
  * Add japanese debconf translation, from Yasuo Eto (closes: #258744).
  * Fix sendmail.8 manpage symlink, per Adrian Bunk (closes: #262722).

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Mon, 09 Aug 2004 14:50:56 +0100

esmtp (0.5.0-3) unstable; urgency=low

  * Purge configuration file (closes: #245272).
  * Add french debconf templates translation, from Eric (closes: #248299).
  * Latest lintian fixes.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Mon, 10 May 2004 22:37:00 +0100

esmtp (0.5.0-2) unstable; urgency=low

  * Switch to gettext-based debconf templates, per Martin Quison (closes: #232429).
  * Split into an esmtp and esmtp-run packages (closes: #233983).
  * Do not overwrite configuration files by default (closes: #238982).

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Sat, 20 Mar 2004 21:44:43 +0000

esmtp (0.5.0-1) unstable; urgency=low

  * New version (closes: #225103).
  * Update to follow the last version of Debian Policy (3.6.1).
  * Give a choice for the MDA (closes: #224994).
  * Fix typo in the generated configuration file (closes: #224968).

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Fri, 14 Nov 2003 23:35:26 +0000

esmtp (0.4.1-1) unstable; urgency=low

  * New version.
  * Fixes to make lintian happy.
  * Read /etc/mailname as default SMTP server hostname.
  * Detect the default MDA.
  * Official package (closes: #201234).

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Thu, 18 Sep 2003 10:31:27 +0100

esmtp (0.4-3) unstable; urgency=low

  * Use debconf.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Fri, 27 Jun 2003 16:14:11 +0100

esmtp (0.4-2) unstable; urgency=low

  * Provide mail-transport-agent.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Fri, 27 Jun 2003 13:33:16 +0100

esmtp (0.4-1) unstable; urgency=low

  * Initial Release.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Sun, 18 May 2003 11:01:43 +0100
